path: /build/build/ant-core-dev-java-1.10.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-source" emerge dev-java/ant-core -pv -t && \
    USE="-source" emerge -j ${JOBS} --nodeps dev-java/ant-core
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/ant-core && luet-portage --dir /pkgdir/ant-core
    dev-java/ant-core && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:0b5bc9c0e6fa4194fba0f3104933d42d466f7d9c156e54bb0e6a7d28dae40fb9
  package:
    name: ant-core
    version: 1.10.5
    category: dev-java
    use_flags:
    - -source
    requires:
    - name: javatoolkit
      version: '>=0'
      category: dev-java
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Java-based build tool similar to 'make' that uses XML configuration
      files
    uri:
    - https://ant.apache.org/
    license: Apache-2.0
    buildtimestamp: 2023-10-10 21:23:06.347199846 +0000 UTC m=+148.515632086
    labels:
      DEPEND: '>=virtual/jdk-1.8:* !dev-java/ant-tasks !dev-java/ant-optional >=dev-java/java-config-2.2.0-r3
        source? ( app-arch/zip ) >=dev-java/javatoolkit-0.3.0-r2'
      IUSE: elibc_FreeBSD doc source elibc_FreeBSD
      RDEPEND: '>=virtual/jdk-1.8:* !dev-java/ant-tasks !dev-java/ant-optional >=dev-java/java-config-2.2.0-r3
        source? ( app-arch/zip )'
      emerge.packages: dev-java/ant-core
      kit: geaaru-kit
      original.package.name: dev-java/ant-core
      original.package.slot: "0"
      original.package.version: 1.10.5-r2
    treedir: /build/packages
  package_dir: /pkgdir/ant-core
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d84b93855176e63a97222d17a3d318d6259f6f103ba8be08db23440765c82a49
compressiontype: zstd
files:
- etc/env.d/20ant
- usr/bin/ant
- usr/bin/antRun
- usr/bin/antRun.pl
- usr/bin/runant.pl
- usr/bin/runant.py
- usr/share/ant/bin
- usr/share/ant/etc
- usr/share/ant/lib/ant-bootstrap.jar
- usr/share/ant/lib/ant-launcher.jar
- usr/share/ant/lib/ant.jar
- usr/share/ant-core/bin/antRun
- usr/share/ant-core/bin/antRun.pl
- usr/share/ant-core/bin/runant.pl
- usr/share/ant-core/bin/runant.py
- usr/share/ant-core/etc/changelog.xsl
- usr/share/ant-core/etc/checkstyle/checkstyle-frames-sortby-check.xsl
- usr/share/ant-core/etc/checkstyle/checkstyle-frames.xsl
- usr/share/ant-core/etc/checkstyle/checkstyle-text.xsl
- usr/share/ant-core/etc/checkstyle/checkstyle-xdoc.xsl
- usr/share/ant-core/etc/coverage-frames.xsl
- usr/share/ant-core/etc/jdepend-frames.xsl
- usr/share/ant-core/etc/jdepend.xsl
- usr/share/ant-core/etc/junit-frames-xalan1.xsl
- usr/share/ant-core/etc/junit-frames.xsl
- usr/share/ant-core/etc/junit-noframes.xsl
- usr/share/ant-core/etc/log.xsl
- usr/share/ant-core/etc/maudit-frames.xsl
- usr/share/ant-core/etc/mmetrics-frames.xsl
- usr/share/ant-core/etc/tagdiff.xsl
- usr/share/ant-core/lib/ant-bootstrap.jar
- usr/share/ant-core/lib/ant-launcher.jar
- usr/share/ant-core/lib/ant.jar
- usr/share/ant-core/package.env
- usr/share/doc/ant-core-1.10.5-r2/KEYS.bz2
- usr/share/doc/ant-core-1.10.5-r2/NOTICE.bz2
- usr/share/doc/ant-core-1.10.5-r2/README.bz2
- usr/share/doc/ant-core-1.10.5-r2/WHATSNEW.bz2
- var/db/pkg/dev-java/ant-core-1.10.5-r2/BUILD_TIME
- var/db/pkg/dev-java/ant-core-1.10.5-r2/CATEGORY
- var/db/pkg/dev-java/ant-core-1.10.5-r2/CBUILD
- var/db/pkg/dev-java/ant-core-1.10.5-r2/CFLAGS
- var/db/pkg/dev-java/ant-core-1.10.5-r2/CHOST
- var/db/pkg/dev-java/ant-core-1.10.5-r2/CONTENTS
- var/db/pkg/dev-java/ant-core-1.10.5-r2/COUNTER
- var/db/pkg/dev-java/ant-core-1.10.5-r2/CXXFLAGS
- var/db/pkg/dev-java/ant-core-1.10.5-r2/DEFINED_PHASES
- var/db/pkg/dev-java/ant-core-1.10.5-r2/DEPEND
- var/db/pkg/dev-java/ant-core-1.10.5-r2/DESCRIPTION
- var/db/pkg/dev-java/ant-core-1.10.5-r2/EAPI
- var/db/pkg/dev-java/ant-core-1.10.5-r2/FEATURES
- var/db/pkg/dev-java/ant-core-1.10.5-r2/HOMEPAGE
- var/db/pkg/dev-java/ant-core-1.10.5-r2/INHERITED
- var/db/pkg/dev-java/ant-core-1.10.5-r2/IUSE
- var/db/pkg/dev-java/ant-core-1.10.5-r2/IUSE_EFFECTIVE
- var/db/pkg/dev-java/ant-core-1.10.5-r2/KEYWORDS
- var/db/pkg/dev-java/ant-core-1.10.5-r2/LDFLAGS
- var/db/pkg/dev-java/ant-core-1.10.5-r2/LICENSE
- var/db/pkg/dev-java/ant-core-1.10.5-r2/PF
- var/db/pkg/dev-java/ant-core-1.10.5-r2/RDEPEND
- var/db/pkg/dev-java/ant-core-1.10.5-r2/RESTRICT
- var/db/pkg/dev-java/ant-core-1.10.5-r2/SIZE
- var/db/pkg/dev-java/ant-core-1.10.5-r2/SLOT
- var/db/pkg/dev-java/ant-core-1.10.5-r2/USE
- var/db/pkg/dev-java/ant-core-1.10.5-r2/ant-core-1.10.5-r2.ebuild
- var/db/pkg/dev-java/ant-core-1.10.5-r2/environment.bz2
- var/db/pkg/dev-java/ant-core-1.10.5-r2/repository
package_cacheimage: ""
runtime:
  name: ant-core
  version: 1.10.5
  category: dev-java
  use_flags:
  - -source
  requires:
  - name: java-config
    version: '>=0'
    category: dev-java-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Java-based build tool similar to 'make' that uses XML configuration
    files
  uri:
  - https://ant.apache.org/
  license: Apache-2.0
  labels:
    DEPEND: '>=virtual/jdk-1.8:* !dev-java/ant-tasks !dev-java/ant-optional >=dev-java/java-config-2.2.0-r3
      source? ( app-arch/zip ) >=dev-java/javatoolkit-0.3.0-r2'
    IUSE: elibc_FreeBSD doc source elibc_FreeBSD
    RDEPEND: '>=virtual/jdk-1.8:* !dev-java/ant-tasks !dev-java/ant-optional >=dev-java/java-config-2.2.0-r3
      source? ( app-arch/zip )'
    emerge.packages: dev-java/ant-core
    kit: geaaru-kit
    original.package.name: dev-java/ant-core
    original.package.slot: "0"
    original.package.version: 1.10.5-r2
